# Determine Virtual Port Price Determine the costs of a virtual port. ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. 2. Get Attribute Information. Use the [Get All Metros](https://docs.equinix.com/api-catalog/fabricv4/metros/getmetros.md) endpoint to find all metros where Equinix Fabric is available and determine port location you are pricing. ## Retrieve Pricing Information[​](#retrieve-pricing-information "Direct link to Retrieve Pricing Information") To retrieve port price estimates, send a `POST` request to the [`/fabric/v4/prices/search`](https://docs.equinix.com/api-catalog/fabricv4/prices/searchprices.md) endpoint. Send your pricing criteria in the body of the request. | | `POST /fabric/v4/prices/search` | | ---------------- | ------------------------------- | | Method | `POST` | | URL or Endpoint | `/fabric/v4/prices/search` | | Headers | Authorization, `Content-Type` | | Path Parameters | Not applicable | | Query Parameters | Not applicable | | Body Parameters | `filter` | Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/prices/search' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "filter": {         "and": [             {                 "property": "/type",                 "operator": "=",                 "values": [                     "VIRTUAL_PORT_PRODUCT"                 ]             },             {                 "property": "/account/accountNumber",                 "operator": "=",                 "values": [                     270001                 ]             },             {                 "property": "/port/location/ibx",                 "operator": "=",                 "values": [                     "DA1"                 ]             },             {                 "property": "/port/type",                 "operator": "=",                 "values": [                     "XF_PORT"                 ]             },             {                 "property": "/port/bandwidth",                 "operator": "=",                 "values": [                     1000                 ]             },             {                 "property": "/port/package/code",                 "operator": "=",                 "values": [                     "STANDARD"                 ]             },             {                 "property": "/port/serviceType",                 "operator": "=",                 "values": [                     "EPL"                 ]             },             {                 "property": "/port/connectivitySource/type",                 "operator": "=",                 "values": [                     "COLO"                 ]             },             {                 "property": "/port/lag/enabled",                 "operator": "=",                 "values": [                     false                 ]             }         ]     } }' ``` Sample Response: ``` { "data": [     {     "type": "VIRTUAL_PORT_PRODUCT",     "code": "ECX00001.PROD",     "name": "Equinix Fabric Port Product",     "description": "Equinix Fabric Port",     "account": {         "accountNumber": 270001     },     "charges": [         {         "type": "MONTHLY_RECURRING",         "price": 100.0         },         {         "type": "NON_RECURRING",         "price": 500.0         }     ],     "currency": "USD",     "port": {         "package": {         "code": "STANDARD"         },         "type": "XF_PORT",         "location": {         "ibx": "DA1"         },         "lag": {         "enabled": false         },         "physicalPortsQuantity": 1,         "bandwidth": 1000,         "connectivitySource": {         "type": "COLO"         },         "serviceType": "EPL"     }     } ], "pagination": {     "offset": 0,     "limit": 1,     "total": 1 } }                 ```